# Retrieve a site collection

Fetches information about a site collection.

Endpoint: GET /api/v1/collections/{collectionId}
Version: v1
Security: Bearer

## Path parameters:

  - `collectionId` (string, required)
    The identifier of the site collection.
    Example: "ff34f39f190b4079bf8a0242200b6780"

## Query parameters:

  - `environmentId` (string)

## Response 200 fields (application/json):

  - `id` (string,null)
    The identifier of the site collection.
Example value: 497f6eca-6276-4993-bfeb-53cbbbba6f08
    Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08"

  - `name` (string,null)
    The unique system name of the site collection.
Example value: skate-park-sites
    Example: "skate-park-sites"

  - `description` (string,null)
    The description of the site collection.
Example value: Collection for all Skate Park brand websites.
    Example: "Collection for all Skate Park brand websites."

  - `displayName` (string,null)
    The display name of the site collection.
Example value: Skate Park Websites
    Example: "Skate Park Websites"

  - `sortOrder` (integer,null)
    Sort order of the site collection.
Example value: 100
    Example: 100

  - `createdBy` (string,null)
    The ID of the user who created the site collection.
Example value: L6kfw52ZVf
    Example: "L6kfw52ZVf"

  - `created` (string)
    The date when the site collection was created.
Example value: 2019-08-24T14:15:22Z
    Example: "2019-08-24T14:15:22Z"

  - `permissions` (object)
    The access rights of the current user to the site.

  - `permissions.canAdmin` (boolean)
    Whether the current user has admin rights. Being an admin means that you control access permissions for other users, and have full read and write rights.
Example value: False

  - `permissions.canWrite` (boolean)
    Whether the current user has permissions to edit values. Users with write access also have read access.
Example value: False

  - `permissions.canCreate` (boolean)
    Whether the current user has permission to create entities.
Example value: False

  - `permissions.canDelete` (boolean)
    Whether the current user has permission to delete entities.
Example value: False

  - `permissions.canRename` (boolean)
    Whether the current user has permission to rename entities.
Example value: False

  - `permissions.canRead` (boolean)
    Whether the current user has permission to see entities, including all their parameters.
Example value: False

  - `permissions.canPublish` (boolean)
    Whether the current user has permission to publish sites in this environment.
Example value: False

  - `permissions.canDuplicate` (boolean)
    Whether the current user has permission to duplicate entities.
Example value: False

  - `permissions.canWriteLanguage` (boolean)
    Whether the current user has permission to write item language entities.
Example value: False

  - `settings` (object,null)
    The site collection settings.
    Example: {"itemPath":"/sitecore/content/skate-park-sites"}

## Response 400 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404 fields (application/json):

  - `type` (string,null)
    The type of the error response entity.

  - `title` (string,null)
    The title of the error response entity.

  - `status` (integer,null)
    The response status code.

  - `detail` (string,null)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string,null)
    If available, a URI reference that identifies the specific occurrence of the problem.


